<?php


namespace IPS\advancedfooter\modules\admin\advancedfooter;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * settings
 */
class _settings extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		\IPS\Dispatcher::i()->checkAcpPermission( 'settings_manage' );
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack('menu__advancedfooter_advancedfooter');
		$form = new \IPS\Helpers\Form;

		$form->addTab('af_confTab');
		$form->add( new \IPS\Helpers\Form\Radio( 'afa_position', \IPS\Settings::i()->afa_position, FALSE, array( 'options' => array( 'insidewr' => 'afa_insidewr', 'outsidewr'  => 'afa_outsidewr') ), NULL, NULL, NULL, 'afa_position'));
		$form->add( new \IPS\Helpers\Form\YesNo( 'afa_hidetablet', \IPS\Settings::i()->afa_matchcolors, FALSE, array(), NULL, NULL, NULL, 'afa_hidetablet' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'afa_hidemobile', \IPS\Settings::i()->afa_matchcolors, FALSE, array(), NULL, NULL, NULL, 'afa_hidemobile' ) );

		$form->add( new \IPS\Helpers\Form\Select( 'afa_whocansee', \IPS\Settings::i()->afa_whocansee == '*' ? "*" : explode( ',', \IPS\Settings::i()->afa_whocansee), FALSE, array( 'options' => \IPS\Member\Group::groups(), 'parse' => 'normal', 'multiple' => true, 'unlimited' => '*', 'unlimitedLang' => 'everyone' ), NULL, NULL, NULL, 'afa_whocansee' ) );
		$form->addTab('af_colorsTab');
		$form->add( new \IPS\Helpers\Form\YesNo( 'afa_matchcolors', \IPS\Settings::i()->afa_matchcolors, FALSE, array('togglesOff'	=> array('afa_mainbg', 'afa_maincolor', 'afa_titlecolor', 'afa_link', 'afa_linkhover')), NULL, NULL, NULL, 'afa_matchcolors' ) );
		$form->add( new \IPS\Helpers\Form\Color( 'afa_mainbg', \IPS\Settings::i()->afa_mainbg, FALSE, array(), NULL, NULL, NULL, 'afa_mainbg' ));
		$form->add( new \IPS\Helpers\Form\Color( 'afa_maincolor', \IPS\Settings::i()->afa_maincolor, FALSE, array(), NULL, NULL, NULL, 'afa_maincolor' ));
		$form->add( new \IPS\Helpers\Form\Color( 'afa_titlecolor', \IPS\Settings::i()->afa_titlecolor, FALSE, array(), NULL, NULL, NULL, 'afa_titlecolor' ));
		$form->add( new \IPS\Helpers\Form\Color( 'afa_link', \IPS\Settings::i()->afa_link, FALSE, array(), NULL, NULL, NULL, 'afa_link' ));
		$form->add( new \IPS\Helpers\Form\Color( 'afa_linkhover', \IPS\Settings::i()->afa_linkhover, FALSE, array(), NULL, NULL, NULL, 'afa_linkhover' ));
		$form->addHeader('af_othercolorshead');
		$form->add( new \IPS\Helpers\Form\Color( 'afa_sociallinksbg', \IPS\Settings::i()->afa_sociallinksbg, FALSE, array(), NULL, NULL, NULL, 'afa_sociallinksbg' ));
		$form->add( new \IPS\Helpers\Form\Color( 'afa_sociallinksbghover', \IPS\Settings::i()->afa_sociallinksbghover, FALSE, array(), NULL, NULL, NULL, 'afa_sociallinksbghover' ));
		$form->add( new \IPS\Helpers\Form\Color( 'afa_sociallinksicon', \IPS\Settings::i()->afa_sociallinksicon, FALSE, array(), NULL, NULL, NULL, 'afa_sociallinksicon' ));
		$form->add( new \IPS\Helpers\Form\Color( 'afa_sociallinksiconhover', \IPS\Settings::i()->afa_sociallinksiconhover, FALSE, array(), NULL, NULL, NULL, 'afa_sociallinksiconhover' ));
		$form->add( new \IPS\Helpers\Form\Color( 'afa_staffbg', \IPS\Settings::i()->afa_staffbg, FALSE, array(), NULL, NULL, NULL, 'afa_staffbg' ));
		$form->add( new \IPS\Helpers\Form\Color( 'afa_bordersep', \IPS\Settings::i()->afa_bordersep, FALSE, array(), NULL, NULL, NULL, 'afa_bordersep' ));


		if ( $values = $form->values() )
		{
			$form->saveAsSettings();
			\IPS\Theme::deleteCompiledCss( 'advancedfooter', 'front' );
		}

		\IPS\Output::i()->output = $form;
		// This is the default method if no 'do' parameter is specified

	}

	// Create new methods with the same name as the 'do' parameter which should execute it
}
